This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Thanx","public":true,"colors":{"primary":"#129B9B","light":"#13C1BF","dark":"#129B9B"},"logo":{"light":"https://mintcdn.com/thanx/NEzLP0j6kJjm2liR/logo/light.svg?fit=max\u0026auto=format\u0026n=NEzLP0j6kJjm2liR\u0026q=85\u0026s=8b3bd3f1ffbb1567714a92067df956d9","dark":"https://mintcdn.com/thanx/NEzLP0j6kJjm2liR/logo/dark.svg?fit=max\u0026auto=format\u0026n=NEzLP0j6kJjm2liR\u0026q=85\u0026s=9b7fc286cc5789385ace66cf725d131f"},"favicon":"https://mintcdn.com/thanx/slNzKdUXQiByOc6X/favicon.png?fit=max\u0026auto=format\u0026n=slNzKdUXQiByOc6X\u0026q=85\u0026s=bc7fda50982b59fe2dd5384ca7bd2961","api":{},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Help Center","icon":"book-bookmark","href":"https://help.thanx.com/hc/en-us"},{"anchor":"Thanx Product Updates","icon":"bullhorn","href":"https://thanx.launchnotes.io/"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.thanx.com"},{"anchor":"Email Support","icon":"envelope","href":"mailto:developer.support@thanx.com"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"thanx","hasAudioNarration":false,"actualSubdomain":"thanx","customDomains":["docs.thanx.com"],"gitSource":{"type":"github","owner":"thanx","repo":"thanx-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae11cec017d49fc88baee5e","collectionId":"5fe6e5e5-5979-44f1-bcb0-e50bec4fab97","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae11cec017d49fc88baee5e"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae11cec017d49fc88baee5e","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Reference","count":100},{"language":"default","tag":"Consumer API","count":90},{"language":"default","tag":"Data Exports","count":39},{"language":"default","tag":"Partner API","count":32},{"language":"default","tag":"Thanx Connex","count":24},{"language":"default","tag":"Destination Setup","count":23},{"language":"default","tag":"Overview","count":22},{"language":"default","tag":"Models","count":10},{"language":"default","tag":"Users","count":8},{"language":"default","tag":"Loyalty API","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"consumer/purchases/create-purchase","slug":"/consumer/purchases/create-purchase","pageMetadata":{"title":"Create Purchase","api":"POST /purchases","description":"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.","href":"/consumer/purchases/create-purchase"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Heading,Note,ResponseField}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`This endpoint is only available in SANDBOX`})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Please review proper request headers `,_jsx(_components.a,{href:`/consumer/usage/headers`,children:`here`}),`.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`merchant_id`,type:`string`,id:`param-merchant-id`,children:_jsx(_components.p,{children:`The merchant ID`})}),`\n`,_jsx(ResponseField,{name:`location_id`,type:`string`,id:`param-location-id`,children:_jsx(_components.p,{children:`Location ID`})}),`\n`,_jsx(ResponseField,{name:`amount`,type:`decimal`,id:`param-amount`,children:_jsx(_components.p,{children:`The purchase amount`})}),`\n`,_jsx(ResponseField,{name:`purchased_at`,type:`string`,id:`param-purchased-at`,children:_jsx(_components.p,{children:`Time the purchase was made in ISO8601-format`})}),`\n`,_jsx(ResponseField,{name:`card`,type:`string`,id:`param-card`,children:_jsx(_components.p,{children:`The card the user used, if it is registered in Thanx`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Purchase","api":"POST /purchases","description":"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.","href":"/consumer/purchases/create-purchase"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`This endpoint is only available in SANDBOX`})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Please review proper request headers `,_jsx(_components.a,{href:`/consumer/usage/headers`,children:`here`}),`.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`merchant_id`,type:`string`,id:`param-merchant-id`,children:_jsx(_components.p,{children:`The merchant ID`})}),`\n`,_jsx(ResponseField,{name:`location_id`,type:`string`,id:`param-location-id`,children:_jsx(_components.p,{children:`Location ID`})}),`\n`,_jsx(ResponseField,{name:`amount`,type:`decimal`,id:`param-amount`,children:_jsx(_components.p,{children:`The purchase amount`})}),`\n`,_jsx(ResponseField,{name:`purchased_at`,type:`string`,id:`param-purchased-at`,children:_jsx(_components.p,{children:`Time the purchase was made in ISO8601-format`})}),`\n`,_jsx(ResponseField,{name:`card`,type:`string`,id:`param-card`,children:_jsx(_components.p,{children:`The card the user used, if it is registered in Thanx`})}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.thanxsandbox.com/purchases`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Accept-Version: v4.0\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Accept: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`token`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"X-ClientId: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`client_id`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` `})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"purchase\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"merchant_id\": \"weoru\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"location_id\": \"hljkfd2345\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"user_id\": \"wgljsdwer23\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": 13.45,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"purchased_at\": \"2020-09-15T00:52:10.655+00:00\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"card_id\": null`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Purchase","api":"POST /purchases","description":"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.","href":"/consumer/purchases/create-purchase"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"17\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://api.thanxsandbox.com/purchases\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Content-Type: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Accept-Version: v4.0\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Accept: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Authorization: Bearer ${\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">token\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"X-ClientId: ${\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">client_id\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> \u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\"> -d\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"purchase\": {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"merchant_id\": \"weoru\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"location_id\": \"hljkfd2345\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"user_id\": \"wgljsdwer23\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"amount\": 13.45,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"purchased_at\": \"2020-09-15T00:52:10.655+00:00\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"card_id\": null\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"1\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create Purchase","path":"/purchases","method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"merchant_id":[{"type":"string","description":"The merchant ID"}],"location_id":[{"type":"string","description":"Location ID"}],"amount":[{"type":"number","description":"The purchase amount"}],"purchased_at":[{"type":"string","description":"Time the purchase was made in ISO8601-format"}],"card":[{"type":"string","description":"The card the user used, if it is registered in Thanx"}]}}],"examples":{"example":{"value":{"merchant_id":"\u003cstring>","location_id":"\u003cstring>","amount":123,"purchased_at":"\u003cstring>","card":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"thanx","siteName":"Thanx","title":"Create Purchase - Thanx","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-14T01:55:51.191Z","originalFileLocation":"consumer/purchases/create-purchase.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Thanx\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Purchase - Thanx\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Thanx\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.thanx.com/consumer/purchases/create-purchase\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://thanx.mintlify.app/_mintlify/api/og/v2?division=Purchases\u0026amp;title=Create+Purchase\u0026amp;description=This+endpoint+submits+a+purchase+to+our+system+for+processing.+Because+this+purchase+is+processed+asynchronously%2C+there+is+no+response+JSON.+Please+allow+up+to+\u0026amp;theme=547b57199640445129b8df81\u0026amp;signature=c607f84955aeeeb0938f05ee47c1c46ef3bc3421b072ee2c5c42ddd232e2a3bd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Purchase - Thanx\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://thanx.mintlify.app/_mintlify/api/og/v2?division=Purchases\u0026amp;title=Create+Purchase\u0026amp;description=This+endpoint+submits+a+purchase+to+our+system+for+processing.+Because+this+purchase+is+processed+asynchronously%2C+there+is+no+response+JSON.+Please+allow+up+to+\u0026amp;theme=547b57199640445129b8df81\u0026amp;signature=c607f84955aeeeb0938f05ee47c1c46ef3bc3421b072ee2c5c42ddd232e2a3bd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Thanx\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#129B9B\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.thanx.com/consumer/purchases/create-purchase\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/consumer/purchases/create-purchase.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.thanx.com/#organization\",\"name\":\"Thanx\",\"url\":\"https://docs.thanx.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/thanx/NEzLP0j6kJjm2liR/logo/light.svg?fit=max\u0026auto=format\u0026n=NEzLP0j6kJjm2liR\u0026q=85\u0026s=8b3bd3f1ffbb1567714a92067df956d9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.thanx.com#website\",\"name\":\"Thanx\",\"url\":\"https://docs.thanx.com\",\"publisher\":{\"@id\":\"https://docs.thanx.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.thanx.com/consumer/purchases/create-purchase#webpage\",\"url\":\"https://docs.thanx.com/consumer/purchases/create-purchase\",\"name\":\"Create Purchase\",\"description\":\"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.\",\"dateModified\":\"2025-10-14T01:55:51.191Z\",\"isPartOf\":{\"@id\":\"https://docs.thanx.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.thanx.com/consumer/purchases/create-purchase#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.thanx.com/consumer/purchases/create-purchase#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reference\",\"item\":\"https://docs.thanx.com/consumer/users/create-user\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Purchase\",\"item\":\"https://docs.thanx.com/consumer/purchases/create-purchase\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.thanx.com/consumer/purchases/create-purchase#apireference\",\"headline\":\"Create Purchase\",\"name\":\"Create Purchase\",\"description\":\"This endpoint submits a purchase to our system for processing. Because this purchase is processed asynchronously, there is no response JSON. Please allow up to a couple minutes to receive this purchase back from the GET /purchases endpoint.\",\"url\":\"https://docs.thanx.com/consumer/purchases/create-purchase\",\"mainEntityOfPage\":{\"@id\":\"https://docs.thanx.com/consumer/purchases/create-purchase#webpage\"},\"dateModified\":\"2025-10-14T01:55:51.191Z\",\"publisher\":{\"@id\":\"https://docs.thanx.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.thanx.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Thanx\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Thanx","nav":{"global":{"anchors":[{"anchor":"Help Center","icon":"book-bookmark","href":"https://help.thanx.com/hc/en-us"},{"anchor":"Thanx Product Updates","icon":"bullhorn","href":"https://thanx.launchnotes.io/"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.thanx.com"},{"anchor":"Email Support","icon":"envelope","href":"mailto:developer.support@thanx.com"}]},"tabs":[{"tab":"Overview","pages":[{"title":"Overview","href":"/overview/intro"}]},{"tab":"Consumer API","pages":[{"group":"Consumer API","pages":[{"title":"Overview","href":"/consumer/overview"},{"group":"Guides","pages":[{"title":"Points Integration","href":"/consumer/guides/points"},{"title":"Push Notifications","href":"/consumer/guides/push-notifications"},{"title":"Deep Linking","href":"/consumer/guides/deep-linking"}]},{"group":"Best Practices","pages":[{"title":"Design Best Practices","sidebarTitle":"Design","href":"/consumer/best-practices/design"},{"title":"Card Enrollment Best Practices","sidebarTitle":"Card Enrollment","href":"/consumer/best-practices/enrollment"},{"title":"Onboarding \u0026 Authentication","href":"/consumer/best-practices/onboarding-authentication"},{"title":"Loyalty \u0026 Rewards Best Practices","sidebarTitle":"Loyalty \u0026 Rewards","href":"/consumer/best-practices/loyalty"},{"title":"Feedback \u0026 Support Best Practices","sidebarTitle":"Feedback \u0026 Support","href":"/consumer/best-practices/feedback"},{"title":"Messaging Best Practices","sidebarTitle":"Messaging","href":"/consumer/best-practices/messaging"}]},{"group":"Usage","pages":[{"title":"Patterns","href":"/consumer/usage/patterns"},{"title":"Headers","href":"/consumer/usage/headers"},{"title":"Errors","href":"/consumer/usage/errors"},{"title":"Legal","href":"/consumer/usage/legal"},{"title":"Certification","href":"/consumer/usage/certification"}]}]},{"group":"Reference","pages":[{"group":"Users","pages":[{"title":"Create User","api":"POST /users","href":"/consumer/users/create-user"},{"title":"Get User","api":"GET /users/me","href":"/consumer/users/get-user"},{"title":"Update User","api":"PATCH /users/:id","href":"/consumer/users/update-user"},{"title":"Delete User","api":"DELETE /users/me","href":"/consumer/users/delete-user"},{"title":"Get Check In Code","api":"GET /users/:id/check_in_code","href":"/consumer/users/check-in-code"}]},{"group":"SSO","pages":[{"title":"Single Sign-On (SSO) Overview","sidebarTitle":"Overview","href":"/consumer/sso/overview"},{"title":"Legal Requirements","href":"/consumer/sso/legal-requirements"},{"title":"Acquire Authorization Code","api":"POST /oauth/authorize","href":"/consumer/sso/acquire-auth-code"},{"title":"Acquire Authorization Code (Cross-Domain)","api":"POST /oauth/authorize-cross-domain","href":"/consumer/sso/acquire-auth-code-cross-domain"},{"title":"Acquire Access Token","api":"POST /oauth/token","href":"/consumer/sso/acquire-access-token"},{"title":"Revoke Access Token","api":"POST /oauth/revoke","href":"/consumer/sso/revoke-access-token"}]},{"group":"Locations","pages":[{"title":"Get Locations","api":"GET /locations","href":"/consumer/locations/get-locations"}]},{"group":"Features","pages":[{"title":"Get Features","api":"GET /features","href":"/consumer/features/get-features"}]},{"group":"Cards","pages":[{"title":"Create Card","api":"POST https://secure.api.thanxsandbox.com/cards","href":"/consumer/cards/create-card"},{"title":"Get Cards","api":"GET /cards","href":"/consumer/cards/get-cards"},{"title":"Delete Card","api":"DELETE /cards/:id","href":"/consumer/cards/delete-card"}]},{"group":"Rewards","pages":[{"title":"Reward Overview","sidebarTitle":"Overview","href":"/consumer/rewards/overview"},{"title":"Get Rewards","api":"GET /rewards","href":"/consumer/rewards/get-rewards"},{"title":"Get Reward","api":"GET /rewards/:id","href":"/consumer/rewards/get-reward"},{"title":"Activate Reward","api":"PATCH /rewards/:id/activate","href":"/consumer/rewards/activate-reward"},{"title":"Finalize Reward","api":"PATCH /rewards/:id/finalize","href":"/consumer/rewards/finalize-reward"},{"title":"Grant Reward","api":"POST /rewards/grant","href":"/consumer/rewards/grant-reward"},{"title":"Update reward","api":"PATCH /rewards/:id","href":"/consumer/rewards/update-reward"}]},{"group":"Signup Programs","pages":[{"title":"Get Signup Programs","api":"GET /signup_programs","href":"/consumer/signup-programs/get-signup-programs"},{"title":"Get Signup Program","api":"GET /signup_programs/:handle","href":"/consumer/signup-programs/get-signup-program"}]},{"group":"Tags","pages":[{"title":"Get Tags","api":"GET /tags","href":"/consumer/tags/get-tags"},{"title":"Update Tags","api":"PUT /tags","href":"/consumer/tags/update-tags"},{"title":"Delete Tag","api":"DELETE /tags/:id","href":"/consumer/tags/delete-tag"}]},{"group":"Communication Settings","pages":[{"title":"Get Communication Settings","api":"GET /communication_settings","href":"/consumer/communication-settings/get"},{"title":"Get Communication Setting by UID","api":"GET /communication_settings/:uid","href":"/consumer/communication-settings/get-by-uid"},{"title":"Update Communication Settings","api":"PATCH /communication_settings/:id","href":"/consumer/communication-settings/update"}]},{"group":"Push Registrations","pages":[{"title":"Create Push Registration","api":"PUT /push_registrations","href":"/consumer/push/create-push-registration"}]},{"group":"Points","pages":[{"title":"Get Points Experiences","api":"GET /points_experiences","href":"/consumer/points/get-experiences"},{"title":"Get Points Experience","api":"GET /points_experiences/:id","href":"/consumer/points/get-experience"},{"title":"Get Points Balance","api":"GET /points_experiences/:id/balance","href":"/consumer/points/get-points-balance"},{"title":"Get Points Products","api":"GET /points_products","href":"/consumer/points/get-products"},{"title":"Get Points Multipliers","api":"GET /points_multipliers","href":"/consumer/points/get-points-multipliers"},{"title":"Exchange Points Product","api":"POST /points_products/:id/rewards","href":"/consumer/points/exchange-product"}]},{"group":"Tiers","pages":[{"title":"Get Tiers Configurations","api":"GET /tier_configurations","href":"/consumer/tiers/get-configs"},{"title":"Get Tier Statuses","api":"GET /tier_statuses","href":"/consumer/tiers/get-statuses"},{"title":"Grant Tier Status","api":"PATCH /tier_statuses/:id","href":"/consumer/tiers/grant-status"}]},{"group":"Feedbacks","pages":[{"title":"Get Feedbacks","api":"GET /feedbacks","href":"/consumer/feedbacks/get-feedbacks"},{"title":"Get Feedback","api":"GET /feedbacks/:id","href":"/consumer/feedbacks/get-feedback"},{"title":"Update Feedback","api":"PATCH /feedbacks/:id","href":"/consumer/feedbacks/update-feedback"}]},{"group":"Gift Cards","pages":[{"title":"Gift Cards Overview","sidebarTitle":"Overview","href":"/consumer/gift-cards/overview"},{"title":"Get Gift Cards","api":"GET /gift_cards","href":"/consumer/gift-cards/get-gift-cards"},{"title":"Create Gift Card","api":"POST /gift_cards","href":"/consumer/gift-cards/create-gift-card"},{"title":"Get Gift Card","api":"GET /gift_cards/{id}","href":"/consumer/gift-cards/get-gift-card"},{"title":"Delete Gift Card","api":"DELETE /gift_cards/{id}","href":"/consumer/gift-cards/delete-gift-card"},{"title":"Get Merchant Configuration","api":"GET /gift_cards/merchant_config","description":"This endpoint returns the merchant's gift card configuration for UI rendering.","href":"/consumer/gift-cards/get-merchant-config"}]},{"group":"Purchases","pages":[{"title":"Create Purchase","api":"POST /purchases","href":"/consumer/purchases/create-purchase"},{"title":"Get Purchases","api":"GET /purchases","description":"This section describes endpoints that enable a third party to fetch a user's purchases. This endpoint describes all available purchases.","href":"/consumer/purchases/get-purchases"},{"title":"Get Purchase","api":"GET /purchases/:id","href":"/consumer/purchases/get-purchase"},{"title":"Update Purchase Tags","api":"PUT /purchases/:id/tags","href":"/consumer/purchases/update-tags"}]},{"group":"Receipts","pages":[{"title":"Overview","href":"/consumer/receipts/overview"},{"title":"Create Receipt","api":"POST /receipts","href":"/consumer/receipts/create-receipt"},{"title":"Get Receipts","api":"GET /receipts","href":"/consumer/receipts/get-receipts"},{"title":"Get Upload URL","api":"GET /upload_url","href":"/consumer/receipts/get-upload-url"}]},{"group":"Archive","pages":[{"title":"Archive Overview","sidebarTitle":"Overview","href":"/consumer/archive/overview"},{"title":"Get Loyalty Statuses","api":"GET /loyalty_statuses","href":"/consumer/loyalty/get-loyalty-statuses"}]}]}]},{"tab":"Partner API","pages":[{"title":"Partner API","href":"/partner/overview"}]},{"tab":"Loyalty API","pages":[{"title":"Loyalty API","href":"/loyalty/overview"}]},{"tab":"Webhooks","pages":[{"title":"Webhooks","href":"/webhooks/overview"}]},{"tab":"Data Exports","pages":[{"title":"Data Exports","href":"/data/overview"}]},{"tab":"AI","icon":"sparkles","pages":[{"title":"AI","href":"/ai/overview"}]}]},"basePath":"","title":"Create Purchase - Thanx","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js"]}